tbb::simple_partitioner Class Reference
Algorithms

A simple partitioner. More...

`#include <partitioner.h>`

Collaboration diagram for tbb::simple_partitioner:

## Classes

class | partition_type

## Public Member Functions

| simple_partitioner ()

## Private Types

typedef interface9::internal::simple_partition_type | task_partition_type
typedef interface9::internal::simple_partition_type::split_type | split_type

## Friends

template<typename Range , typename Body , typename Partitioner >
class | serial::interface9::start_for
template<typename Range , typename Body , typename Partitioner >
class | interface9::internal::start_for
template<typename Range , typename Body , typename Partitioner >
class | interface9::internal::start_reduce
template<typename Range , typename Body , typename Partitioner >
class | interface9::internal::start_deterministic_reduce
template<typename Range , typename Body , typename Partitioner >
class | internal::start_scan

## Detailed Description

A simple partitioner.

Divides the range until the range is not divisible.

Definition at line 586 of file partitioner.h.

## Member Typedef Documentation

## split_type

typedef interface9::internal::simple_partition_type::split_type tbb::simple_partitioner::split_type

private

Definition at line 606 of file partitioner.h.

## task_partition_type

typedef interface9::internal::simple_partition_type tbb::simple_partitioner::task_partition_type

private

Definition at line 603 of file partitioner.h.

## Constructor & Destructor Documentation

## simple_partitioner()

tbb::simple_partitioner::simple_partitioner | ( |  | ) |

inline

Definition at line 588 of file partitioner.h.

{}

## Friends And Related Function Documentation

## interface9::internal::start_deterministic_reduce

template<typename Range , typename Body , typename Partitioner >

friend class interface9::internal::start_deterministic_reduce

friend

Definition at line 593 of file partitioner.h.

## interface9::internal::start_for

template<typename Range , typename Body , typename Partitioner >

friend class interface9::internal::start_for

friend

Definition at line 591 of file partitioner.h.

## interface9::internal::start_reduce

template<typename Range , typename Body , typename Partitioner >

friend class interface9::internal::start_reduce

friend

Definition at line 592 of file partitioner.h.

## internal::start_scan

template<typename Range , typename Body , typename Partitioner >

friend class internal::start_scan

friend

Definition at line 594 of file partitioner.h.

## serial::interface9::start_for

template<typename Range , typename Body , typename Partitioner >

friend class serial::interface9::start_for

friend

Definition at line 590 of file partitioner.h.

The documentation for this class was generated from the following file:

- partitioner.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.